Update device data related to an authorized user

Update the device data relate to an authorized user

put

Update the device data relate to user with some fields: token, session, tags, status.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class provides the add a device to a user.

tokenstring · nullableOptional

The token of the device data. This token is used when push notification for the device.

sessionstring · nullableOptional

The session of the device data and related with user.

tagsstring · nullableOptional

The tags of the device.

userDeviceStatusstring · enumOptional

Device status enum.

Possible values:
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
put
/api/v1/users/me/devices

Last updated